summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas K. Hüttel <dilfridge@gentoo.org>2016-10-29 19:27:34 +0200
committerAndreas K. Hüttel <dilfridge@gentoo.org>2016-10-29 19:28:08 +0200
commit7dfece1daebd74e0aea287287927ff2cf53a023a (patch)
tree7f711099073d8d26a84c5e0bf6ba47833f1fa7c7 /dev-perl/PDL
parentdev-perl/Module-Compile: New package, needed by dev-perl/PDL (diff)
downloadgentoo-7dfece1daebd74e0aea287287927ff2cf53a023a.tar.gz
gentoo-7dfece1daebd74e0aea287287927ff2cf53a023a.tar.bz2
gentoo-7dfece1daebd74e0aea287287927ff2cf53a023a.zip
dev-perl/PDL: Version bump
Package-Manager: portage-2.3.2
Diffstat (limited to 'dev-perl/PDL')
-rw-r--r--dev-perl/PDL/Manifest1
-rw-r--r--dev-perl/PDL/PDL-2.17.0.ebuild115
-rw-r--r--dev-perl/PDL/files/PDL-2.17.0-fortran.patch22
-rw-r--r--dev-perl/PDL/files/PDL-2.17.0-makemakerfix.patch20
-rw-r--r--dev-perl/PDL/files/PDL-2.17.0-shared-hdf.patch44
5 files changed, 202 insertions, 0 deletions
diff --git a/dev-perl/PDL/Manifest b/dev-perl/PDL/Manifest
index 71b5fe76166..d174e18ee79 100644
--- a/dev-perl/PDL/Manifest
+++ b/dev-perl/PDL/Manifest
@@ -1 +1,2 @@
+DIST PDL-2.017.tar.gz 2889414 SHA256 93b3f22454485d92efb2f85d2e622fd584b2df6a252eae672eba3c39d3c3bd10 SHA512 b1c60b45427153928834619a59ef2213a0845564ae997e22fe202dfee281647edceb68bf3bfa6602ee69a7fd0cc69b7b61ccb74407f490d9fa40230f74599411 WHIRLPOOL 98771811a82f3e3fc504d9af002f844f200f9751d8a492cb205859d094633ea88d88c70f105c9de08b10239037441ea2a6baac192930357b7cd3db24550ced91
DIST PDL-2.4.11.tar.gz 2859537 SHA256 c777ed2519d73ebde0d870e94931a2d2c57865abcee27dfec53f4412a2cac662 SHA512 014358b7d844a082552782f23d610d62b6f5bf5fccef30dc32ecad665501e278351cf3b33ceafe3387054d2063fc642b7bf56459944ee8c0c3d0d7cef3d78a2b WHIRLPOOL eb6623dce01e0f568ddcd2d399a8ddb394ab839b088347a51c5c73c8cacf91b726cd18f6692e50197ae9040eec9dcb4bc3fa7bb722c66ea316132764d40fa8d4
diff --git a/dev-perl/PDL/PDL-2.17.0.ebuild b/dev-perl/PDL/PDL-2.17.0.ebuild
new file mode 100644
index 00000000000..34a58c1e59e
--- /dev/null
+++ b/dev-perl/PDL/PDL-2.17.0.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DIST_AUTHOR=CHM
+DIST_VERSION=2.017
+
+FORTRAN_NEEDED=fortran
+
+inherit perl-module eutils fortran-2
+
+DESCRIPTION="Perl Data Language for scientific computing"
+
+LICENSE="|| ( Artistic GPL-1+ ) public-domain PerlDL"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="+badval doc fortran gd gsl hdf netpbm pdl2 pgplot threads"
+
+RDEPEND="sys-libs/ncurses:0=
+ app-arch/sharutils
+ dev-perl/Astro-FITS-Header
+ dev-perl/File-Map
+ >=dev-perl/Inline-0.680.0
+ >=dev-perl/Inline-C-0.620.0
+ dev-perl/Module-Compile
+ dev-perl/OpenGL
+ dev-perl/TermReadKey
+ || ( dev-perl/Term-ReadLine-Perl dev-perl/Term-ReadLine-Gnu )
+ >=virtual/perl-Data-Dumper-2.121.0
+ virtual/perl-Pod-Parser
+ virtual/perl-File-Spec
+ virtual/perl-File-Temp
+ virtual/perl-Filter-Simple
+ dev-perl/Filter
+ virtual/perl-Storable
+ >=virtual/perl-Text-Balanced-1.890.0
+
+ gd? ( media-libs/gd )
+ gsl? ( sci-libs/gsl )
+ hdf? ( sci-libs/hdf )
+ netpbm? ( media-libs/netpbm virtual/ffmpeg )
+ pdl2? (
+ >=dev-perl/Devel-REPL-1.3.11
+ || ( dev-perl/Term-ReadLine-Perl dev-perl/Term-ReadLine-Gnu )
+ )
+ pgplot? ( dev-perl/PGPLOT )
+"
+
+DEPEND="${RDEPEND}
+ >=virtual/perl-ExtUtils-MakeMaker-6.560.0
+ dev-perl/Devel-CheckLib
+ fortran? ( >=dev-perl/ExtUtils-F77-1.13 )
+"
+
+mydoc="BUGS DEPENDENCIES DEVELOPMENT Known_problems MANIFEST* Release_Notes"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.17.0-makemakerfix.patch
+ "${FILESDIR}"/${PN}-2.17.0-fortran.patch # respect user choice for fortran compiler+flags, add pic
+ "${FILESDIR}"/${PN}-2.17.0-shared-hdf.patch # search for shared hdf instead of static
+)
+
+pkg_setup() {
+ perl_set_version
+ use fortran && fortran-2_pkg_setup
+}
+
+src_prepare() {
+ perl-module_src_prepare
+ find . -name Makefile.PL -exec \
+ sed -i -e "s|/usr|${EPREFIX}/usr|g" {} \; || die
+}
+
+src_configure() {
+ sed -i \
+ -e '/USE_POGL/s/=>.*/=> 1,/' \
+ -e "/WITH_3D/s/=>.*/=> 1,/" \
+ -e "/HTML_DOCS/s/=>.*/=> $(use doc && echo 1 || echo 0),/" \
+ -e "/WITH_BADVAL/s/=>.*/=> $(use badval && echo 1|| echo 0),/" \
+ -e "/WITH_DEVEL_REPL/s/=>.*/=> $(use pdl2 && echo 1 || echo 0),/" \
+ -e "/WITH_GSL/s/=>.*/=> $(use gsl && echo 1 || echo 0),/" \
+ -e "/WITH_GD/s/=>.*/=> $(use gd && echo 1 || echo 0),/" \
+ -e "/WITH_HDF/s/=>.*/=> $(use hdf && echo 1 || echo 0),/" \
+ -e "/WITH_MINUIT/s/=>.*/=> $(use fortran && echo 1|| echo 0),/" \
+ -e "/WITH_PGPLOT/s/=>.*/=> $(use pgplot && echo 1 || echo 0),/" \
+ -e "/WITH_POSIX_THREADS/s/=>.*/=> $(use threads && echo 1 || echo 0),/" \
+ -e "/WITH_PROJ/s/=>.*/=> $(echo 0),/" \
+ -e "/WITH_SLATEC/s/=>.*/=> $(use fortran && echo 1|| echo 0),/" \
+ perldl.conf || die
+ perl-module_src_configure
+}
+
+src_test() {
+ MAKEOPTS+=" -j1" perl-module_src_test
+}
+
+src_install() {
+ perl-module_src_install
+ cp Doc/{scantree,mkhtmldoc}.pl "${D}"/${VENDOR_ARCH}/PDL/Doc || die
+}
+
+pkg_postinst() {
+ perl "${VENDOR_ARCH}/PDL/Doc/scantree.pl" || die
+ elog "Building perldl.db done. You can recreate this at any time"
+ elog "by running:"
+ elog "perl ${VENDOR_ARCH}/PDL/Doc/scantree.pl"
+}
+
+pkg_prerm() {
+ rm -rf "${EROOT}"/var/lib/pdl/html
+ rm -f "${EROOT}"/var/lib/pdl/{pdldoc.db,Index.pod}
+}
diff --git a/dev-perl/PDL/files/PDL-2.17.0-fortran.patch b/dev-perl/PDL/files/PDL-2.17.0-fortran.patch
new file mode 100644
index 00000000000..8d02a2685cf
--- /dev/null
+++ b/dev-perl/PDL/files/PDL-2.17.0-fortran.patch
@@ -0,0 +1,22 @@
+--- a/Lib/Minuit/Makefile.PL
++++ b/Lib/Minuit/Makefile.PL
+@@ -149,7 +149,7 @@
+ ("
+
+ minuitlib/$_\$(OBJ_EXT): minuitlib/$_.f
+- $mycompiler -c $hack_64bit -o minuitlib/$_\$(OBJ_EXT) $mycflags minuitlib/$_.f
++ \$(FC) \$(FFLAGS) -fPIC -c -o minuitlib/$_\$(OBJ_EXT) $mycflags minuitlib/$_.f
+ " )} @minuitfiles;
+
+ if (!defined($PDL::Config{MINUIT_LIB})){
+--- a/Lib/Slatec/Makefile.PL
++++ b/Lib/Slatec/Makefile.PL
+@@ -136,7 +136,7 @@
+ ("
+
+ slatec/$_\$(OBJ_EXT): slatec/$_.f
+- $mycompiler -c $hack_64bit -o slatec/$_\$(OBJ_EXT) $mycflags slatec/$_.f
++ \$(FC) \$(FFLAGS) -c -fPIC -o slatec/$_\$(OBJ_EXT) $mycflags slatec/$_.f
+ " )} @slatecfiles;
+
+ }
diff --git a/dev-perl/PDL/files/PDL-2.17.0-makemakerfix.patch b/dev-perl/PDL/files/PDL-2.17.0-makemakerfix.patch
new file mode 100644
index 00000000000..b564a95db3c
--- /dev/null
+++ b/dev-perl/PDL/files/PDL-2.17.0-makemakerfix.patch
@@ -0,0 +1,20 @@
+--- a/Demos/BAD2_demo.pm.PL 2006/04/20 07:42:24 1.1
++++ b/Demos/BAD2_demo.pm.PL 2006/04/20 07:42:32
+@@ -3,6 +3,7 @@
+ # - requires both bad-value support and PGPLOT
+ #
+
++use blib;
+ use strict;
+
+ use Config;
+--- a/Demos/BAD_demo.pm.PL 2006/04/20 07:42:17 1.1
++++ b/Demos/BAD_demo.pm.PL 2006/04/20 07:42:38
+@@ -3,6 +3,7 @@
+ # - needed since we allow bad pixel handling to be switched off
+ #
+
++use blib;
+ use strict;
+
+ use Config;
diff --git a/dev-perl/PDL/files/PDL-2.17.0-shared-hdf.patch b/dev-perl/PDL/files/PDL-2.17.0-shared-hdf.patch
new file mode 100644
index 00000000000..0937b98864a
--- /dev/null
+++ b/dev-perl/PDL/files/PDL-2.17.0-shared-hdf.patch
@@ -0,0 +1,44 @@
+diff -ruN PDL-2.017.orig/IO/HDF/Makefile.PL PDL-2.017/IO/HDF/Makefile.PL
+--- PDL-2.017.orig/IO/HDF/Makefile.PL 2016-09-23 12:43:47.000000000 +0200
++++ PDL-2.017/IO/HDF/Makefile.PL 2016-10-27 22:09:04.048315756 +0200
+@@ -56,25 +56,25 @@
+
+ # Look for the libs:
+ foreach my $libdir ( @HDF_lib_locations ) {
+- if (-e "$libdir/libdfalt.a" && !$found_df) {
++ if (-e "$libdir/libdfalt.$Config{so}" && !$found_df) {
+ $found_df = 1;
+ $hdf_lib_path = $libdir;
+ $hdf_libs = '-lmfhdfalt -ldfalt';
+- print "Found libdfalt.a at $libdir/libdfalt.a\n";
++ print "Found libdfalt.$Config{so} at $libdir/libdfalt.$Config{so}\n";
+ }
+
+- if (-e "$libdir/libdf.a" && !$found_df) {
++ if (-e "$libdir/libdf.$Config{so}" && !$found_df) {
+ $found_df = 1;
+ $hdf_lib_path = $libdir;
+ $hdf_libs = '-lmfhdf -ldf';
+- print "Found libdf.a at $libdir/libdf.a\n";
++ print "Found libdf.$Config{so} at $libdir/libdf.$Config{so}\n";
+ }
+
+- if (-e "$libdir/libhdf.a" && !$found_df) {
++ if (-e "$libdir/libhdf.$Config{so}" && !$found_df) {
+ $found_df = 1;
+ $hdf_lib_path = $libdir;
+ $hdf_libs = '-lmfhdf -lhdf -lxdr';
+- print "Found libhdf.a at $libdir/libhdf.a\n";
++ print "Found libhdf.$Config{so} at $libdir/libhdf.$Config{so}\n";
+ }
+
+ # Look for the szip library, which HDF >= 4.2r0 needs, but older versions don't!
+@@ -91,7 +91,7 @@
+ } # foreach $libdir...
+
+ unless( defined( $hdf_lib_path ) ) {
+- $msg .= "Cannot find hdf library, libdf.a.\n"
++ $msg .= "Cannot find hdf library, libdf.$Config{so}.\n"
+ . "Please add the correct library path to Makefile.PL or install HDF\n";
+ }
+